module Config.Data.Identity exposing (pageNames)


type alias PageInput =
    { pageHome : String
    , pageContact : String
    , pageArguments : String
    , pageDebate : String
    , pageCucks : String
    , pageGibberish : String
    , pageHyperBlog : String
    , pageInterviews : String
    , pageNutriDex : String
    , pageServices : String
    , pageDonate : String
    , pageNotFound : String
    }


pageNames : PageInput
pageNames =
    { pageHome = "home"
    , pageServices = "services"
    , pageCucks = "cuckList"
    , pageArguments = "arguments"
    , pageDebate = "debate"
    , pageGibberish = "gibberish"
    , pageHyperBlog = "blog"
    , pageNutriDex = "nutriDex"
    , pageInterviews = "interviews"
    , pageContact = "contact"
    , pageDonate = "donate"
    , pageNotFound = "notFound"
    }