module Config.Pages.Debate.Cuckery.Records.AnnChilders exposing (cuckAnnChilders)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckAnnChilders : Cuck
cuckAnnChilders =
    let
        name : String
        name =
            "Ann Childers"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/AnnChildersMD"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1447245484356108292?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = "Diets humans thrived on in the wild, sans dentists and doctors, are correct."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just AppealToNature
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        ]
    }
