module Config.Pages.Debate.Cuckery.Records.ElieJarrouge exposing (cuckElieJarrouge)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckElieJarrouge : Cuck
cuckElieJarrouge =
    let
        name : String
        name =
            "Elie Jarrouge"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/ElieJarrougeMD"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1506845469980315648?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Sugar, refined carbs, and seed oils are poison."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just Vaguemongering
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        ]
    }
