module Config.Pages.Debate.Cuckery.Records.SebastianRamirez exposing (cuckSebastianRamirez)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckSebastianRamirez : Cuck
cuckSebastianRamirez =
    let
        name : String
        name =
            "Sebastian Ramirez"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/JS_RamirezMD"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/JS_RamirezMD/status/1859378109306278377"
          , dodgeDescription = RanAway
          , dodgeProposition = "Vegans haven’t learnt how to live in a society."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just Vaguemongering
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = SpecificPropReason "It's not clear what the proposition means."
          }
        ]
    }
