module Config.Pages.Debate.Cuckery.Records.ShawnBaker exposing (cuckShawnBaker)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , noProposition
        )


cuckShawnBaker : Cuck
cuckShawnBaker =
    let
        name : String
        name =
            "Shawn Baker"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/SBakerMD"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1868037979807346738"
          , dodgeDescription = GhostedMe
          , dodgeProposition = noProposition
          , dodgeReceipts = []
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        ]
    }
