module Config.Pages.Debate.Cuckery.Records.TroKalayjian exposing (cuckTroKalayjian)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckTroKalayjian : Cuck
cuckTroKalayjian =
    let
        name : String
        name =
            "Tro Kalayjian"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/DoctorTro"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1261351818430255104?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = "Dr. Tro engages in shitty behaviour that causes people to dislike him."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason "The proposition seems trivially true."
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1865857839845232689"
          , dodgeDescription = RanAway
          , dodgeProposition = "Meat doesn’t cause cardiovascular disease"
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just RedHerring
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "The aggregate of the data suggests that higher intakes of meat, particularly red meat, increases the risk of cardiovascular disease, especially when replacing plant-based protein sources."
          }
        ]
    }
