module Config.Pages.Interviews.Records.Template exposing (template)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Interviews.Types exposing (Interview)


template : Interview
template =
    let
        name : String
        name =
            ""
    in
    { interviewName = name
    , interviewImage = formatName name
    , interviewSocial = ""
    , isNewTabLink = True
    , interviewAppearances =
        [ { appearanceTitle = ""
          , appearanceEpisode = ""
          , appearanceLink = ""
          , appearanceExperience = 1
          , appearanceYear = ""
          , appearanceSubjects =
                [ { subject = "" }
                , { subject = "" }
                , { subject = "" }
                , { subject = "" }
                ]
          }
        ]
    }
