module Config.Helpers.Cards.Outer.Types exposing (Cardable(..))

import Config.Pages.Blog.Types exposing (BlogArticle)
import Config.Pages.Contact.Types exposing (Contact)
import Config.Pages.Debate.Arguments.Types exposing (Argument)
import Config.Pages.Debate.Cuckery.Types exposing (Cuck)
import Config.Pages.Debate.Gibberish.Types exposing (Gibberish)
import Config.Pages.Debate.Types exposing (Debate)
import Config.Pages.Donate.Types exposing (Donate)
import Config.Pages.Interviews.Types exposing (Interview)
import Config.Pages.Products.Types exposing (NutriDex)
import Config.Pages.Services.Types exposing (Service)


type Cardable
    = Contact Contact
    | ContactPage Contact
    | Cuck Cuck
    | BlogArticle BlogArticle
    | BlogCard BlogArticle
    | Argument Argument
    | Gibberish Gibberish
    | Service Service
    | Debate Debate
    | Donate Donate
    | Interview Interview
    | NutriDex NutriDex
    | ServicePage Service
