module Config.Pages.Debate.Arguments.Records.Template exposing (argument)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (toTitleCase)
import Config.Pages.Debate.Arguments.Types exposing (Argument)


argument : Argument
argument =
    { argumentTitle = toTitleCase ""
    , propositionTitle = ""
    , propositionReductio = ""
    , propositionSummary = ""
    , proofLink = ""
    , argumentCertainty = 1
    , argumentImage = ""
    , argumentHashtags = []
    , isNewTabLink = False
    , definitionTable =
        [ { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = ""
                  , notation = ""
                  }
                , { premise = ""
                  , notation = ""
                  }
                , { premise = ""
                  , notation = ""
                  }
                , { premise = ""
                  , notation = ""
                  }
                , { premise = ""
                  , notation = ""
                  }
                ]
          , conclusion = ""
          , conclusionNotation = ""
          }
        ]
    }
