module Config.Pages.Debate.Cuckery.Records.GaryFettke exposing (cuckGaryFettke)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        )


cuckGaryFettke : Cuck
cuckGaryFettke =
    let
        name : String
        name =
            "Gary Fettke"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/FructoseNo"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1460983496524980224"
          , dodgeDescription = GhostedMe
          , dodgeProposition = commonProps.propLinoleicAcid
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
