module Config.Pages.Debate.Cuckery.Records.GaryTaubes exposing (cuckGaryTaubes)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckGaryTaubes : Cuck
cuckGaryTaubes =
    let
        name : String
        name =
            "Gary Taubes"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/garytaubes"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/garytaubes/status/1595180467552018432?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = "Carbohydrates cause starvation."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just Vaguemongering
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        ]
    }
