module Config.Pages.Debate.Cuckery.Records.JamesDiNicolantonio exposing (cuckJamesDiNicolantonio)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        , commonProps
        )


cuckJamesDiNicolantonio : Cuck
cuckJamesDiNicolantonio =
    let
        name : String
        name =
            "James DiNicolantonio"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/drjamesdinic"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1460788569388171268?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = commonProps.propLinoleicAcid
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        ]
    }
