module Config.Pages.Debate.Cuckery.Records.KaitMalthaner exposing (cuckKaitMalthaner)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , commonPropReasons
        )


cuckKaitMalthaner : Cuck
cuckKaitMalthaner =
    let
        name : String
        name =
            "Kait Malthaner"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/healthcoachkait"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1503258756687306753?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Omega-6 is pro-inflammatory."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just MechanisticMasturbation
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonInflammation
          }
        ]
    }
