module Config.Pages.Debate.Cuckery.Records.NickEggleton exposing (cuckNickEggleton)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckNickEggleton : Cuck
cuckNickEggleton =
    let
        name : String
        name =
            "Nick Eggleton"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/NickEggleton"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1266626885703720961?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = "Polyunsaturated fats are poison."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just Vaguemongering
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        ]
    }
