module Config.Pages.Debate.Cuckery.Records.RobMeijer exposing (cuckRobMeijer)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        , noProposition
        )


cuckRobMeijer : Cuck
cuckRobMeijer =
    let
        name : String
        name =
            "Rob Meijer"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/EngineerDiet"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1435850829051793408?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = noProposition
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Nothing
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        ]
    }
