module Config.Pages.Debate.Cuckery.Records.Template exposing (cuck)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuck : Cuck
cuck =
    let
        name : String
        name =
            ""
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = ""
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = ""
          , dodgeDescription = NoReply
          , dodgeProposition = ""
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = NoProp
          }
        ]
    }
