module Config.Pages.Debate.Cuckery.Records.TristanHaggard exposing (cuckTristanHaggard)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types
    exposing
        ( Cuck
        , DodgeDescription(..)
        , DodgeFallacies(..)
        , DoxasticState(..)
        , Evaluation(..)
        )


cuckTristanHaggard : Cuck
cuckTristanHaggard =
    let
        name : String
        name =
            "Tristan Haggard"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/Trxstxn4"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1513596227052527621?s=20"
          , dodgeDescription = RanAway
          , dodgeProposition = "Seed oils are toxic."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just Vaguemongering
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        ]
    }
